/*---------------------------------------------
選單css
---------------------------------------------*/
.app-brand-text.demo {
    font-size: 1.35rem !important;
}

.menu-vertical .menu-item .menu-link {
    font-size: 12px !important;
}

.menu-vertical .menu-item .menu-link,
.menu-vertical .menu-block {
    padding: 0.3rem 1rem !important;
}

.menu-vertical .menu-sub .menu-link {
    padding-left: 3rem !important;
}

.menu-vertical .menu-header {
    margin: 0.5rem 0 0.5rem 0 !important;
    padding: 0.625rem 2rem 0 2rem !important;
}

.menu-sub .menu-item {
    margin-left: 12px !important;
    padding: 0;
}

.fixed {
    position: fixed;
    bottom: 0;
    right: 0;
    padding-bottom: 20px;
    padding-right: 32px;
}

.pagination.pagination-round .page-item a:hover {
    cursor: pointer;
}

.badge {
    font-size: 12px !important;
}

.bg-badge1 {
    background-color: #3979ab !important;
}

.bg-badge2 {
    background-color: #fd806b !important;
}

table td {
    font-size: 12px;
}

.badge {
    text-transform: initial;
}

/*---------------------------------------------
select2
---------------------------------------------*/
.select2-container--default .select2-results__option {
    font-size: 12px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    font-size: 12px;
}

/*---------------------------------------------
jstree
---------------------------------------------*/
.jstree .jstree-container-ul .jstree-anchor {
    font-size: 12px;
}

.xtree-dark {
    border: 1px solid #2b2c3f;
    padding: 16px;
    border-radius: 8px;
    background-color: #2b2c3f;
}

.xtree-light {
    border: 0;
    padding: 16px;
    border-radius: 8px;
    background-color: #ffffff;
}

.xtree-dark-1 {
    border: 1px solid #444564;
    padding: 16px;
    border-radius: 8px;
    background-color: #2b2c3f;
}

.xtree-light-1 {
    border: 1px solid #d9dee2;
    padding: 16px;
    border-radius: 8px;
    background-color: #ffffff;
}

.jstree-clicked {
    color: #424242 !important;
}

.jstree-default-dark .jstree-clicked {
    background: #5f87db !important;
}

/*---------------------------------------------
tab
---------------------------------------------*/
.nav-item .nav-link {
    font-size: 12px;
}

/*---------------------------------------------
tab 新增按鈕
---------------------------------------------*/
.add-tab-layout {
    border: 1px;
    height: 120px;
    border-radius: 8px;
    border-color: #454a51;
    border-style: dashed;
    padding: 24px;
}

.add-tab-button {
    border: 1px;
    border-radius: 8px;
    border-color: #c2c2c3;
    border-style: dashed;
    width: 97%;
    margin: auto;
    background-color: #f3f4f4;
}

.add-tab-button:hover {
    cursor: pointer;
}

/*---------------------------------------------
font
---------------------------------------------*/
.f-10 {
    font-size: 10px;
}

.f-12 {
    font-size: 12px;
}

.f-14 {
    font-size: 14px;
}

.f-16 {
    font-size: 16px;
}

.f-18 {
    font-size: 18px;
}

.f-20 {
    font-size: 20px;
}

.f-24 {
    font-size: 24px;
}

th {
    border-color: inherit;
    border-style: solid;
    border-width: 1px;
}

table.dataTable>tbody>tr>th,
table.dataTable>tbody>tr>td {
    padding: 4px 4px;
}

.dt-length,
.dt-search,
.dt-info,
.dt-paging-button {
    font-size: 12px;
}

div.dt-container select.dt-input {
    padding: 4px;
    font-size: 12px;
    margin-right: 4px;
}

div.dt-container .dt-search input {
    border: 1px solid #aaa;
    border-radius: 3px;
    padding: 5px;
    background-color: transparent;
    color: inherit;
    margin-left: 3px;
    font-size: 12px;
    margin-left: 4px;
}

.nowrap {
    white-space: nowrap;
}

.table td {
    border: 1px solid #d9dee2;
}

table.dataTable thead>tr>th.dt-orderable-asc,
table.dataTable thead>tr>th.dt-orderable-desc,
table.dataTable thead>tr>td.dt-orderable-asc,
table.dataTable thead>tr>td.dt-orderable-desc {
    border: 1px solid #d9dee2;
}